package com.emr.service.emrDictionary;

import com.emr.entity.Emr_Dictionary;

import javax.servlet.http.HttpServletRequest;
import java.util.List;

public interface EmrDictionaryService {
    void add(Emr_Dictionary emrDictionary,HttpServletRequest request);
    void update(Emr_Dictionary emrDictionary,HttpServletRequest request);
    void delete(Integer id);
    String getDictionaryByParentId(Integer parentId);
    List<Emr_Dictionary> selectDictionaryByTypeCode(String typeName);
}
